diff options
Diffstat (limited to 'tools/check-misc.sh')
-rw-r--r-- | tools/check-misc.sh | 13 |
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/check-misc.sh b/tools/check-misc.sh new file mode 100644 index 000000000..89e8e871a --- /dev/null +++ b/tools/check-misc.sh @@ -0,0 +1,13 @@ +#!/bin/sh + +fail=0 + +( . "${tools_dir}"/check-whitespace.sh ) || fail=$? + +if egrep '(Free\s*Software\s*Foundation.*02139|02111-1307)' "$@" +then + echo "^^^ The above files contain the FSF's old address in GPL headers" + fail=1 +fi + +exit $fail |